```@meta
CurrentModule = PkgTemplates
```

# PkgTemplates

**PkgTemplates creates new Julia packages in an easy, repeatable, and customizable way.**

### Foreword: Templating vs. Template

This documentation refers plenty to [`Template`](@ref)s, the package's main type.
But it also refers to "template files" and "text templating", which are plaintext files with placeholders to be filled with data, and the technique of filling those placeholders with data, respectively.

These concepts should be familiar if you've used [Jinja](https://palletsprojects.com/p/jinja) or [Mustache](https://mustache.github.io) (Mustache is the particular flavour used by PkgTemplates, via [Mustache.jl](https://github.com/jverzani/Mustache.jl)).

Please keep the difference between these two things in mind when reading this documentation!

### Documentation

If you're looking to **create new packages**, see the [User Guide](user.md).

If you want to **create new plugins**, see the [Developer Guide](developer.md).

if you're trying to **migrate from an older version of PkgTemplates**, see [Migrating To 0.7+](migrating.md).

### Index

```@index
```
